summaryrefslogtreecommitdiffstats
path: root/nuttx/configs/ea3131/tools
diff options
context:
space:
mode:
authorpatacongo <patacongo@7fd9a85b-ad96-42d3-883c-3090e2eb8679>2010-02-21 16:37:06 +0000
committerpatacongo <patacongo@7fd9a85b-ad96-42d3-883c-3090e2eb8679>2010-02-21 16:37:06 +0000
commit4e96c254ecd9c01aafdb79c9d78bd073def56513 (patch)
tree388911d5693387b50f0d31dd5444b85e6f718d7b /nuttx/configs/ea3131/tools
parent697ff7f7d9ab09a5e9cb6d556c7273510d581867 (diff)
Add OpenOCD notes
git-svn-id: https://nuttx.svn.sourceforge.net/svnroot/nuttx/trunk@2538 7fd9a85b-ad96-42d3-883c-3090e2eb8679
Diffstat (limited to 'nuttx/configs/ea3131/tools')
-rwxr-xr-xnuttx/configs/ea3131/tools/armusbocd.cfg34
-rwxr-xr-xnuttx/configs/ea3131/tools/oocd.sh43
2 files changed, 77 insertions, 0 deletions
diff --git a/nuttx/configs/ea3131/tools/armusbocd.cfg b/nuttx/configs/ea3131/tools/armusbocd.cfg
new file mode 100755
index 0000000000..de17e8b0e1
--- /dev/null
+++ b/nuttx/configs/ea3131/tools/armusbocd.cfg
@@ -0,0 +1,34 @@
+#daemon configuration
+telnet_port 4444
+gdb_port 3333
+
+#interface
+interface ft2232
+ft2232_device_desc "Olimex OpenOCD JTAG A"
+ft2232_layout "olimex-jtag"
+ft2232_vid_pid 0x15BA 0x0003
+jtag_speed 2
+
+#use combined on interfaces or targets that can't set TRST/SRST separately
+reset_config trst_and_srst separate
+
+#jtag scan chain
+#format L IRC IRCM IDCODE (Length, IR Capture, IR Capture Mask, IDCODE)
+jtag_device 4 0x1 0xf 0xe
+
+#target configuration
+daemon_startup reset
+
+#target <type> <startup mode>
+#target arm9ejs <reset mode> <chainpos> <endianness> <variant>
+target arm926ejs little run_and_halt 0 arm926ejs
+run_and_halt_time 0 30
+
+#target_script 0 reset oocd_flash2138.script
+working_area 0 0x1102800 0x60000 nobackup
+
+#flash configuration
+#flash bank lpc2000 0x0 0x40000 0 0 0 lpc2000_v2 12000 calc_checksum
+
+# For more information about the configuration files, take a look at:
+# http://openfacts.berlios.de/index-en.phtml?title=Open+On-Chip+Debugger
diff --git a/nuttx/configs/ea3131/tools/oocd.sh b/nuttx/configs/ea3131/tools/oocd.sh
new file mode 100755
index 0000000000..7948c1e03e
--- /dev/null
+++ b/nuttx/configs/ea3131/tools/oocd.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+TOPDIR=$1
+USAGE="$0 <TOPDIR> [-d]"
+if [ -z "${TOPDIR}" ]; then
+ echo "Missing argument"
+ echo $USAGE
+ exit 1
+fi
+
+OPENOCD_PATH="/cygdrive/c/gccfd/openocd/bin"
+OPENOCD_EXE=openocd-ftd2xx.exe
+OPENOCD_CFG="${TOPDIR}/configs/ea3131/tools/armusbocd.cfg"
+OPENOCD_ARGS="-f `cygpath -w ${OPENOCD_CFG}`"
+~/projects/nuttx/nuttx/configs/ea3131/tool
+
+if [ "X$2" = "X-d" ]; then
+ OPENOCD_ARGS=$OPENOCD_ARGS" -d3"
+ set -x
+fi
+
+if [ ! -d ${OPENOCD_PATH} ]; then
+ echo "OpenOCD path does not exist: ${OPENOCD_PATH}"
+ exit 1
+fi
+if [ ! -x ${OPENOCD_PATH}/${OPENOCD_EXE} ]; then
+ echo "OpenOCD does not exist: ${OPENOCD_PATH}/${OPENOCD_EXE}"
+ exit 1
+fi
+if [ ! -f ${OPENOCD_CFG} ]; then
+ echo "OpenOCD config file does not exist: ${OPENOCD_CFG}"
+ exit 1
+fi
+
+echo "Starting OpenOCD"
+${OPENOCD_PATH}/${OPENOCD_EXE} ${OPENOCD_ARGS} &
+echo "OpenOCD daemon started"
+ps -ef | grep openocd
+echo "In GDB: target remote localhost:3333"
+
+
+
+